INTERFACE
SUBROUTINE CPCFU(KST,KND,KSTC,KENDC,KSTGLO,LDFSTEP,&
 & PDIFCQ, PDIFCS, PDIFTQ, PDIFTS, PFCCQL, PFCCQN, PFCSQL, PFCSQN, PFPLCL,&
 & PFPLCN, PFPLCG, PFPLCH, PFPLSL, PFPLSN, PFPLSG, PFPLSH, PFRMH, PFRSO ,&
 & PFRSOC, PFRTH , PFRTHC, PFDIS , PSTRCU, PSTRCV, PSTRDU, PSTRDV, PSTRTU,&
 & PSTRTV, PDELP , PNEB , PQICE , PQLI , PRES , PSNS , PO3 , PQ ,&
 & PWS , PFEVL , PFEVN , PCLCT , PCLCH , PCLCM , PCLCL , PCLCC , PFCLL ,&
 & PFCLN , PFCS , PFONTE, PFCHSP, PFLWSP, PRUISS, PRUISP, PFEVV , PFTR ,&
 & PRUISL, PFGEL , PFGELS, PFRSODS,PFRSOPS,PFRSOPT,PFRSOLU,PFRTHDS) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KND
INTEGER(KIND=JPIM),INTENT(IN) :: KSTC
INTEGER(KIND=JPIM),INTENT(IN) :: KENDC
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
LOGICAL ,INTENT(IN) :: LDFSTEP
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFCQ(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFCS(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFTQ(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFTS(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCCQL(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCCQN(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCSQL(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCSQN(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLCL(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLCN(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLCG(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLCH(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLSL(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLSN(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLSG(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLSH(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRMH(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRSO(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRSOC(NPROMA,0:1)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRTH(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRTHC(NPROMA,0:1)
REAL(KIND=JPRB) ,INTENT(IN) :: PFDIS(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRCU(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRCV(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRDU(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRDV(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRTU(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRTV(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PNEB(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQICE(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQLI(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRES(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSNS(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PO3(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PWS(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFEVL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFEVN(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLCT(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLCH(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLCM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLCL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLCC(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCLL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCLN(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCS(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFONTE(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCHSP(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFLWSP(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRUISS(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRUISP(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFEVV(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFTR(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRUISL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFGEL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFGELS(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRSODS(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRSOPS(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRSOPT(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRSOLU(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRTHDS(NPROMA)
END SUBROUTINE CPCFU
END INTERFACE
